package com.wecloud.im.ws.utils;

import java.util.UUID;

public class RSAGenerator {



    private final static String[] CHARS = new String[]{"a", "b", "c", "d", "e", "f",
            "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s",
            "t", "u", "v", "w", "x", "y", "z", "0", "1", "2", "3", "4", "5",
            "6", "7", "8", "9", "A", "B", "C", "D", "E", "F", "G", "H", "I",
            "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V",
            "W", "X", "Y", "Z"};

    //生成8位appKey
    public static String getAppKey() {
        StringBuffer shortBuffer = new StringBuffer();
        //获取用户id进行字符串截取
        String uuid = UUID.randomUUID().toString().replace("-", "");
        for (int i = 0; i < 16; i++) {
            String str = uuid.substring(i * 2, i * 2 + 2);
            int x = Integer.parseInt(str, 16);
            shortBuffer.append(CHARS[x % 0x3E]);
        }
        return shortBuffer.toString();

//        return UUID.randomUUID().toString().replace("-", "");

    }

    //生成32位appSecret
    public static String getAppSecret(String appId){
        String EncryoAppSecret="";
        try {
            EncrypDES des1 = new EncrypDES();// 使用默认密钥
            EncryoAppSecret=des1.encrypt(appId);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return EncryoAppSecret;
    }
}
